import request from "@/utils/request";
import constant from "@/utils/constant";

// 分页查询三维数据
const getData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/threeD/getThreeDData', params);
}
// 通过ID查询三维数据
const getDataById = (params) => {
    return request.postForm(constant.dtbserverProxy + '/threeD/getThreeDDataById', params)
}
// 新增三维数据
const addData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/threeD/addThreeDData', params);
}
// 修改三维数据
const updateData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/threeD/addThreeDData', params);
}
// 删除三维数据
const deleteData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/threeD/deleteThreeDData', params)
}

export default {
    getData,
    getDataById,
    addData,
    updateData,
    deleteData,
}